#ifndef WORKER_H_INCLUDED
#define WORKER_H_INCLUDED

#include <QObject>
#include <QString>
#include <QTimer>

#include "worker_thread.h"

class Worker : public QObject {
    Q_OBJECT

    QString m_update_ctrl_file;
    QString m_workingDir;
    WorkerThread m_workerThread;
    QTimer m_timer;
public:
    explicit Worker(QString update_ctrl_file, QString workingDir);
    ~Worker();
    void quit() { return m_workerThread.quit(); }

signals:
    void workNow();

public slots:
    void work();
    void update();
};

#endif // WORKER_H_INCLUDED
